Zwave Fail in 0.47.1

Just upgraded to 0.47.1 from 0.46 where all my zwave stuff was working fine. My zwcfg file is 164 kbytes and contains more than a dozen sensors.

This is the error message I get:

        Traceback (most recent call last):
      File "/home/homeassistant/.homeassistant/deps/openzwave/option.py", line 78, in __init__
        raise ZWaveException(u"Can't find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
      File "/usr/lib/python3.4/traceback.py", line 181, in format_exception
        return list(_format_exception_iter(etype, value, tb, limit, chain))
      File "/usr/lib/python3.4/traceback.py", line 146, in _format_exception_iter
        for value, tb in values:
      File "/usr/lib/python3.4/traceback.py", line 125, in _iter_chain
        context = exc.__context__
    AttributeError: 'NoneType' object has no attribute '__context__'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/srv/homeassistant/lib/python3.4/site-packages/homeassistant/setup.py", line 190, in _async_setup_component
        component.setup, hass, processed_config)
      File "/usr/lib/python3.4/asyncio/futures.py", line 388, in __iter__
        yield self  # This tells Task to wait for completion.
      File "/usr/lib/python3.4/asyncio/tasks.py", line 286, in _wakeup
        value = future.result()
      File "/usr/lib/python3.4/asyncio/futures.py", line 277, in result
        raise self._exception
      File "/usr/lib/python3.4/concurrent/futures/thread.py", line 54, in run
        result = self.fn(*self.args, **self.kwargs)
      File "/srv/homeassistant/lib/python3.4/site-packages/homeassistant/components/zwave/__init__.py", line 268, in setup
        config_path=config[DOMAIN].get(CONF_CONFIG_PATH))
      File "/home/homeassistant/.homeassistant/deps/openzwave/option.py", line 81, in __init__
        raise ZWaveException(u"Error when retrieving device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
    openzwave.object.ZWaveException: 'Zwave Generic Exception : Error when retrieving device /dev/ttyACM0 : [\'Traceback (most recent call last):\\n\', \'  File "/home/homeassistant/.homeassistant/deps/openzwave/option.py", line 78, in __init__\\n    raise ZWaveException(u"Can\\\'t find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))\\n\', \'  File "/usr/lib/python3.4/traceback.py", line 181, in format_exception\\n    return list(_format_exception_iter(etype, value, tb, limit, chain))\\n\', \'  File "/usr/lib/python3.4/traceback.py", line 146, in _format_exception_iter\\n    for value, tb in values:\\n\', \'  File "/usr/lib/python3.4/traceback.py", line 125, in _iter_chain\\n    context = exc.__context__\\n\', "AttributeError: \'NoneType\' object has no attribute \'__context__\'\\n"]'

Any clues how to fix this? I’m currently dead in the water.

Nevermind. A second reboot of my system caused the Zwave stick to properly respond.

I have the same problem, but a second reboot didn’t solve anything. what can I do?

What version were you on and what version did you move to?

Do you have your zwave stick locked to a certain usb path? If not confirm the path hasn’t changed.

Check your error log and post up any errors.

Hi, I’ve just installed HA 0.55.1 on raspian jessie from this BRUH video https://www.youtube.com/watch?v=GjzOXkPb7XE&t=321s
I used
sudo pip3 install homeassistant.
In my configuration.yaml I have only added

zwave:
usb_path: /dev/ttyACM0

and this is right because I found it through

ls /dev/ttyACM*

and didn’t add the config path because i’m unable to find the config file or the openzwave control panel
checking other threads I understand that I need this path

config_path: /srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/libopenzwave-0.3.2-py3.4-linux-armv7l.egg/config

or

/srv/homeassistant/src/open-zwave-control-panel

as it explain this thread Cannot open Control Panel (ozwcp) Cannot find a path to the configuration files

home assistant tell me I have an invalid zwave config Immaginezwave

this is my home-assistant.log

2017-10-23 16:30:20 INFO (MainThread) [homeassistant.core] Bus:Handling <Event component_loaded[L]: component=discovery>
2017-10-23 16:30:20 ERROR (MainThread) [homeassistant.setup] Error during setup of component zwave
Traceback (most recent call last):
File “/var/opt/homeassistant/deps/lib/python3.4/site-packages/openzwave/option.py”, line 78, in init
raise ZWaveException(u"Can’t find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
File “/usr/lib/python3.4/traceback.py”, line 181, in format_exception
return list(_format_exception_iter(etype, value, tb, limit, chain))
File “/usr/lib/python3.4/traceback.py”, line 146, in _format_exception_iter
for value, tb in values:
File “/usr/lib/python3.4/traceback.py”, line 125, in _iter_chain
context = exc.context
AttributeError: ‘NoneType’ object has no attribute ‘context
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/usr/local/lib/python3.4/dist-packages/homeassistant/setup.py”, line 194, in _async_setup_component
component.setup, hass, processed_config)
File “/usr/lib/python3.4/asyncio/futures.py”, line 388, in iter
yield self # This tells Task to wait for completion.
Blockquote File “/usr/lib/python3.4/asyncio/tasks.py”, line 286, in _wakeup
value = future.result()
File “/usr/lib/python3.4/asyncio/futures.py”, line 277, in result
raise self._exception
File “/usr/lib/python3.4/concurrent/futures/thread.py”, line 54, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/local/lib/python3.4/dist-packages/homeassistant/components/zwave/init.py”, line 269, in setup
config_path=config[DOMAIN].get(CONF_CONFIG_PATH))
File “/var/opt/homeassistant/deps/lib/python3.4/site-packages/openzwave/option.py”, line 81, in init
raise ZWaveException(u"Error when retrieving device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))
openzwave.object.ZWaveException: ‘Zwave Generic Exception : Error when retrieving device /dev/ttyACM0 : [‘Traceback (most recent call last):\n’, ’ File “/var/opt/homeassistant/deps/lib/python3.4/site-packages/openzwave/option.py”, line 78, in init\n raise ZWaveException(u"Can\‘t find device %s : %s" % (device, traceback.format_exception(*sys.exc_info())))\n’, ’ File “/usr/lib/python3.4/traceback.py”, line 181, in format_exception\n return list(_format_exception_iter(etype, value, tb, limit, chain))\n’, ’ File “/usr/lib/python3.4/traceback.py”, line 146, in _format_exception_iter\n for value, tb in values:\n’, ’ File “/usr/lib/python3.4/traceback.py”, line 125, in _iter_chain\n context = exc.context\n’, “AttributeError: ‘NoneType’ object has no attribute ‘context’\n”]’
2017-10-23 16:30:20 INFO (MainThread) [homeassistant.core] Bus:Handling <Event call_service[L]: service=create, domain=persistent_notification, service_data=message=The following components and platforms could not be set up:

  • zwave
    Please check your config, title=Invalid config, notification_id=invalid_config, service_call_id=1973966480-1>
    2017-10-23 16:30:20 INFO (MainThread) [homeassistant.core] Bus:Handling <Event state_changed[L]: old_state=None, entity_id=persistent_notification.invalid_config, new_state=<state persistent_notification.invalid_config=The following components and platforms could not be set up:
  • zwave
    Please check your config; title=Invalid config @ 2017-10-23T18:30:20.163661+02:00>>
    2017-10-23 16:30:20 INFO (MainThread) [homeassistant.core] Bus:Handling <Event service_executed[L]: service_call_id=1973966480-1>
    2017-10-23 16:30:20 INFO (MainThread) [homeassistant.components.sensor] Setting up sensor.yr
    2017-10-23 16:30:20 INFO (MainThread) [homeassistant.core] Bus:Handling <Event state_changed[L]: old_state=None, entity_id=sensor.yr_symbol, new_state=<state sensor.yr_symbol=unknown; attribution=Weather forecast from yr.no, delivered by the Norwegian Meteorological Institute and the NRK., friendly_name=yr Symbol, entity_picture=//api.met.no/weatherapi/weathericon/1.1/?symbol=None;content_type=image/png @ 2017-10-23T18:30:20.191922+02:00>>
    2017-10-23 16:30:20 INFO (MainThread) [homeassistant.core] Bus:Handling <Event service_registered[L]: service=google_say, domain=tts>

so I tried to install open zwave control panel by me following this https://lickthesalt.com/2016/04/11/compiling-open-zwave-control-panel-on-a-raspberry-pi-3/
but nothing changed.
the only thing changed is that now I have this strange path to ozw_config but i don’t know if it’s useful or not


1 week ago I installed HA through OIA but also in that case i couldn’t find the config path, so i re-fleshed the sd to start again.
I don’t know what to do.
I think it’s an usual problem for the latest versions of HA.

You don’t need the config_path option any more, and you shouldn’t install the OpenZWave control panel, it’s not needed. All you have to do is follow the official documentation :wink:

What does the zwave: section of your configuration.yaml look like?

My zwave section of configuration.yaml is

zwave:
usb_path: /dev/ttyACM0

I think you’re right. I don’t know why but now my home-assistant log doesn’t give me error anymore and I can find the zwave stick 5gen in home assistant browser layout, but I failed pairing with my multisensor 5gen now. :disappointed_relieved: I followed the instructions clicking first the stick and then the button on the sensor, I put it on the rasp and rebooting it but I still see just the zwave stick.

The Home Assistant instructions don’t say to click the stick, indeed, they say that you absolutely shouldn’t. Please see the documentation.

Once the device has been included it should then be visible in <> under Developer tools, at least one zwave. entity, and likely multiple sensor. entities.

thank you very much for this documentation. but by now I tried to pair the sensor 5-6 times always clicking the stick, and now i don’t know what is happening inside the sensor and in its link with the stick. I think that this is the reason why now I can’t pair correctly them.
in the developer tools i only see this


I tried to follow the instruction in that documentation you posted adding node first through calling service aggiunta1
and clicking on the button sensor
but I failed, so I tried with
and as I did before i pushed the botton on the sensor
but nothing happened.
I am obviously doing something wrong.
my ozw_log reports this

2017-10-24 15:51:28.575 Always, OpenZwave Version 1.4.2586 Starting Up
2017-10-24 15:51:30.538 Info, Setting Up Provided Network Key for Secure Communications
2017-10-24 15:51:30.538 Warning, Failed - Network Key Not Set
2017-10-24 15:51:30.538 Info, mgr, Added driver for controller /dev/ttyACM0
2017-10-24 15:51:30.538 Info, Opening controller /dev/ttyACM0
2017-10-24 15:51:30.538 Info, Trying to open serial port /dev/ttyACM0 (attempt 1)
2017-10-24 15:51:30.539 Info, Serial port /dev/ttyACM0 opened (attempt 1)
2017-10-24 15:51:30.543 Detail, contrlr, Queuing (Command) FUNC_ID_ZW_GET_VERSION: 0x01, 0x03, 0x00, 0x15, 0xe9
2017-10-24 15:51:30.544 Detail, contrlr, Queuing (Command) FUNC_ID_ZW_MEMORY_GET_ID: 0x01, 0x03, 0x00, 0x20, 0xdc
2017-10-24 15:51:30.544 Detail, contrlr, Queuing (Command) FUNC_ID_ZW_GET_CONTROLLER_CAPABILITIES: 0x01, 0x03, 0x00, 0x05, 0xf9
2017-10-24 15:51:30.544 Detail, contrlr, Queuing (Command) FUNC_ID_SERIAL_API_GET_CAPABILITIES: 0x01, 0x03, 0x00, 0x07, 0xfb
2017-10-24 15:51:30.544 Detail, contrlr, Queuing (Command) FUNC_ID_ZW_GET_SUC_NODE_ID: 0x01, 0x03, 0x00, 0x56, 0xaa
2017-10-24 15:51:30.544 Detail,
2017-10-24 15:51:30.544 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x15) - FUNC_ID_ZW_GET_VERSION: 0x01, 0x03, 0x00, 0x15, 0xe9
2017-10-24 15:51:30.546 Detail, contrlr, Received: 0x01, 0x10, 0x01, 0x15, 0x5a, 0x2d, 0x57, 0x61, 0x76, 0x65, 0x20, 0x33, 0x2e, 0x39, 0x35, 0x00, 0x01, 0x99
2017-10-24 15:51:30.546 Detail,
2017-10-24 15:51:30.546 Info, contrlr, Received reply to FUNC_ID_ZW_GET_VERSION:
2017-10-24 15:51:30.546 Info, contrlr, Static Controller library, version Z-Wave 3.95
2017-10-24 15:51:30.546 Detail, Node045, Expected reply was received
2017-10-24 15:51:30.546 Detail, Node045, Message transaction complete
2017-10-24 15:51:30.546 Detail,
2017-10-24 15:51:30.547 Detail, contrlr, Removing current message
2017-10-24 15:51:30.547 Detail,
2017-10-24 15:51:30.547 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x20) - FUNC_ID_ZW_MEMORY_GET_ID: 0x01, 0x03, 0x00, 0x20, 0xdc
2017-10-24 15:51:30.549 Detail, contrlr, Received: 0x01, 0x08, 0x01, 0x20, 0xc3, 0xfb, 0x16, 0xd7, 0x01, 0x2e
2017-10-24 15:51:30.549 Detail,
2017-10-24 15:51:30.549 Info, contrlr, Received reply to FUNC_ID_ZW_MEMORY_GET_ID. Home ID = 0xc3fb16d7. Our node ID = 1
2017-10-24 15:51:30.556 Detail, Node251, Expected reply was received
2017-10-24 15:51:30.556 Detail, Node251, Message transaction complete
2017-10-24 15:51:30.557 Detail,
2017-10-24 15:51:30.557 Detail, contrlr, Removing current message
2017-10-24 15:51:30.557 Detail,
2017-10-24 15:51:30.557 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x05) - FUNC_ID_ZW_GET_CONTROLLER_CAPABILITIES: 0x01, 0x03, 0x00, 0x05, 0xf9
2017-10-24 15:51:30.558 Detail, contrlr, Received: 0x01, 0x04, 0x01, 0x05, 0x28, 0xd7
2017-10-24 15:51:30.558 Detail,
2017-10-24 15:51:30.558 Info, contrlr, Received reply to FUNC_ID_ZW_GET_CONTROLLER_CAPABILITIES:
2017-10-24 15:51:30.558 Info, contrlr, There is no SUC ID Server (SIS) in this network.
2017-10-24 15:51:30.558 Info, contrlr, The PC controller is a primary controller.
2017-10-24 15:51:30.558 Detail, Node215, Expected reply was received
2017-10-24 15:51:30.558 Detail, Node215, Message transaction complete
2017-10-24 15:51:30.558 Detail,
2017-10-24 15:51:30.558 Detail, contrlr, Removing current message
2017-10-24 15:51:30.558 Detail,
2017-10-24 15:51:30.558 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x07) - FUNC_ID_SERIAL_API_GET_CAPABILITIES: 0x01, 0x03, 0x00, 0x07, 0xfb
2017-10-24 15:51:30.563 Detail, contrlr, Received: 0x01, 0x2b, 0x01, 0x07, 0x01, 0x00, 0x00, 0x86, 0x00, 0x01, 0x00, 0x5a, 0xfe, 0x81, 0xff, 0x88, 0x4f, 0x1f, 0x00, 0x00, 0xfb, 0x9f, 0x7d, 0xa0, 0x67, 0x00, 0x00, 0x80, 0x00, 0x80, 0x86, 0x00, 0x00, 0x00, 0xe8, 0x73, 0x00, 0x00, 0x0e, 0x00, 0x00, 0x60, 0x00, 0x00, 0xfb
2017-10-24 15:51:30.563 Detail,
2017-10-24 15:51:30.563 Info, contrlr, Received reply to FUNC_ID_SERIAL_API_GET_CAPABILITIES
2017-10-24 15:51:30.563 Info, contrlr, Serial API Version: 1.0
2017-10-24 15:51:30.563 Info, contrlr, Manufacturer ID: 0x0086
2017-10-24 15:51:30.563 Info, contrlr, Product Type: 0x0001
2017-10-24 15:51:30.563 Info, contrlr, Product ID: 0x005a
2017-10-24 15:51:30.563 Detail, contrlr, Queuing (Command) FUNC_ID_ZW_GET_RANDOM: 0x01, 0x04, 0x00, 0x1c, 0x20, 0xc7
2017-10-24 15:51:30.563 Detail, contrlr, Queuing (Command) FUNC_ID_SERIAL_API_GET_INIT_DATA: 0x01, 0x03, 0x00, 0x02, 0xfe
2017-10-24 15:51:30.563 Detail, contrlr, Queuing (Command) FUNC_ID_SERIAL_API_SET_TIMEOUTS: 0x01, 0x05, 0x00, 0x06, 0x64, 0x0f, 0x97
2017-10-24 15:51:30.563 Detail, contrlr, Queuing (Command) FUNC_ID_SERIAL_API_APPL_NODE_INFORMATION: 0x01, 0x07, 0x00, 0x03, 0x01, 0x02, 0x01, 0x00, 0xf9
2017-10-24 15:51:30.563 Detail, Expected reply was received
2017-10-24 15:51:30.563 Detail, Message transaction complete
2017-10-24 15:51:30.563 Detail,
2017-10-24 15:51:30.563 Detail, contrlr, Removing current message
2017-10-24 15:51:30.563 Detail,
2017-10-24 15:51:30.563 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x56) - FUNC_ID_ZW_GET_SUC_NODE_ID: 0x01, 0x03, 0x00, 0x56, 0xaa
2017-10-24 15:51:30.565 Detail, contrlr, Received: 0x01, 0x04, 0x01, 0x56, 0x00, 0xac
2017-10-24 15:51:30.569 Detail,
2017-10-24 15:51:30.569 Info, contrlr, Received reply to GET_SUC_NODE_ID. Node ID = 0
2017-10-24 15:51:30.569 Info, Controller Does not Support SUC - Cannot Setup Controller as SUC Node
2017-10-24 15:51:30.569 Detail, Node172, Expected reply was received
2017-10-24 15:51:30.570 Detail, Node172, Message transaction complete
2017-10-24 15:51:30.570 Detail,
2017-10-24 15:51:30.570 Detail, contrlr, Removing current message
2017-10-24 15:51:30.570 Detail,
2017-10-24 15:51:30.570 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x1c) - FUNC_ID_ZW_GET_RANDOM: 0x01, 0x04, 0x00, 0x1c, 0x20, 0xc7
2017-10-24 15:51:30.625 Detail, contrlr, Received: 0x01, 0x25, 0x01, 0x1c, 0x01, 0x20, 0x29, 0xe5, 0x1c, 0x25, 0x0b, 0x42, 0x86, 0x20, 0xc6, 0x7c, 0xa5, 0x42, 0x7e, 0x7f, 0x0b, 0xb2, 0x38, 0x8c, 0x26, 0x78, 0xd5, 0x76, 0xda, 0x64, 0x1f, 0x5a, 0x55, 0x7b, 0x78, 0xb5, 0x10, 0x6d, 0x35
2017-10-24 15:51:30.625 Detail,
2017-10-24 15:51:30.626 Info, contrlr, Received reply to FUNC_ID_ZW_GET_RANDOM: true
2017-10-24 15:51:30.626 Detail, Node032, Expected reply was received
2017-10-24 15:51:30.626 Detail, Node032, Message transaction complete
2017-10-24 15:51:30.626 Detail,
2017-10-24 15:51:30.626 Detail, contrlr, Removing current message
2017-10-24 15:51:30.626 Detail,
2017-10-24 15:51:30.626 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x02) - FUNC_ID_SERIAL_API_GET_INIT_DATA: 0x01, 0x03, 0x00, 0x02, 0xfe
2017-10-24 15:51:30.727 Detail, contrlr, Received: 0x01, 0x25, 0x01, 0x02, 0x05, 0x00, 0x1d, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x00, 0xc5
2017-10-24 15:51:30.727 Detail,
2017-10-24 15:51:30.728 Info, mgr, Driver with Home ID of 0xc3fb16d7 is now ready.
2017-10-24 15:51:30.728 Info,
2017-10-24 15:51:30.734 Info, contrlr, Received reply to FUNC_ID_SERIAL_API_GET_INIT_DATA:
2017-10-24 15:51:30.734 Info, contrlr, Node 001 - Known
2017-10-24 15:51:30.734 Detail, Node001, AdvanceQueries queryPending=0 queryRetries=0 queryStage=CacheLoad live=1
2017-10-24 15:51:30.734 Detail, Node001, QueryStage_CacheLoad
2017-10-24 15:51:30.734 Info, Node001, Node Identity Codes: 0086:0001:005a
2017-10-24 15:51:30.734 Detail, Node001, QueryStage_Associations
2017-10-24 15:51:30.734 Detail, Node001, QueryStage_Neighbors
2017-10-24 15:51:30.735 Detail, contrlr, Requesting routing info (neighbor list) for Node 1
2017-10-24 15:51:30.735 Detail, Node001, Queuing (Command) Get Routing Info (Node=1): 0x01, 0x07, 0x00, 0x80, 0x01, 0x00, 0x00, 0x03, 0x7a
2017-10-24 15:51:30.735 Detail, Node001, Queuing (Query) Query Stage Complete (Neighbors)
2017-10-24 15:51:30.735 Detail, Expected reply was received
2017-10-24 15:51:30.735 Detail, Message transaction complete
2017-10-24 15:51:30.735 Detail,
2017-10-24 15:51:30.735 Detail, contrlr, Removing current message
2017-10-24 15:51:30.735 Detail, Node001, Notification: DriverReady
2017-10-24 15:51:30.749 Detail, Node001, Notification: NodeAdded
2017-10-24 15:51:30.765 Detail, Node001, Notification: NodeProtocolInfo
2017-10-24 15:51:30.767 Detail, Node001, Notification: EssentialNodeQueriesComplete
2017-10-24 15:51:30.768 Detail, Node001, Notification: ValueAdded
2017-10-24 15:51:30.770 Detail, Node001, Notification: NodeNaming
2017-10-24 15:51:30.771 Detail,
2017-10-24 15:51:30.771 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x06) - FUNC_ID_SERIAL_API_SET_TIMEOUTS: 0x01, 0x05, 0x00, 0x06, 0x64, 0x0f, 0x97
2017-10-24 15:51:30.773 Detail, contrlr, Received: 0x01, 0x05, 0x01, 0x06, 0x96, 0x0f, 0x64
2017-10-24 15:51:30.773 Detail,
2017-10-24 15:51:30.773 Info, contrlr, Received reply to FUNC_ID_SERIAL_API_SET_TIMEOUTS
2017-10-24 15:51:30.773 Detail, Node015, Expected reply was received
2017-10-24 15:51:30.774 Detail, Node015, Message transaction complete
2017-10-24 15:51:30.774 Detail,
2017-10-24 15:51:30.774 Detail, contrlr, Removing current message
2017-10-24 15:51:30.774 Detail,
2017-10-24 15:51:30.774 Info, contrlr, Sending (Command) message (Callback ID=0x00, Expected Reply=0x00) - FUNC_ID_SERIAL_API_APPL_NODE_INFORMATION: 0x01, 0x07, 0x00, 0x03, 0x01, 0x02, 0x01, 0x00, 0xf9
2017-10-24 15:51:30.775 Detail, contrlr, Removing current message
2017-10-24 15:51:30.778 Detail,
2017-10-24 15:51:30.778 Info, Node001, Sending (Command) message (Callback ID=0x00, Expected Reply=0x80) - Get Routing Info (Node=1): 0x01, 0x07, 0x00, 0x80, 0x01, 0x00, 0x00, 0x03, 0x7a
2017-10-24 15:51:30.782 Detail, Node001, Received: 0x01, 0x20, 0x01, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5e
2017-10-24 15:51:30.783 Detail,
2017-10-24 15:51:30.783 Info, Node001, Received reply to FUNC_ID_ZW_GET_ROUTING_INFO
2017-10-24 15:51:30.783 Info, Node001, Neighbors of this node are:
2017-10-24 15:51:30.783 Info, Node001, (none reported)
2017-10-24 15:51:30.783 Detail, Expected reply was received
2017-10-24 15:51:30.783 Detail, Message transaction complete
2017-10-24 15:51:30.783 Detail,
2017-10-24 15:51:30.783 Detail, Node001, Removing current message
2017-10-24 15:51:30.783 Detail, Node001, Query Stage Complete (Neighbors)
2017-10-24 15:51:30.783 Detail, Node001, AdvanceQueries queryPending=0 queryRetries=0 queryStage=Session live=1
2017-10-24 15:51:30.783 Detail, Node001, QueryStage_Session
2017-10-24 15:51:30.783 Detail, Node001, QueryStage_Dynamic
2017-10-24 15:51:30.783 Detail, Node001, QueryStage_Configuration
2017-10-24 15:51:30.783 Detail, Node001, QueryStage_Complete
2017-10-24 15:51:30.783 Warning, CheckCompletedNodeQueries m_allNodesQueried=0 m_awakeNodesQueried=0
2017-10-24 15:51:30.783 Warning, CheckCompletedNodeQueries all=1, deadFound=0 sleepingOnly=1
2017-10-24 15:51:30.784 Info, Node query processing complete.
2017-10-24 15:51:30.784 Detail, Node001, Notification: NodeQueriesComplete
2017-10-24 15:51:30.785 Detail, contrlr, Notification: AllNodesQueried
2017-10-24 16:08:24.745 Detail, Queuing (Controller) Add Device
2017-10-24 16:08:24.745 Info, Add Device
2017-10-24 16:08:24.745 Detail, contrlr, Queuing (Command) ControllerCommand_AddDevice: 0x01, 0x05, 0x00, 0x4a, 0xc1, 0x0a, 0x7b
2017-10-24 16:08:24.746 Detail, Notification: ControllerCommand - Starting
2017-10-24 16:08:24.746 Detail,
2017-10-24 16:08:24.746 Info, contrlr, Sending (Command) message (Callback ID=0x0a, Expected Reply=0x4a) - ControllerCommand_AddDevice: 0x01, 0x05, 0x00, 0x4a, 0xc1, 0x0a, 0x7b
2017-10-24 16:08:24.750 Detail, contrlr, Received: 0x01, 0x07, 0x00, 0x4a, 0x0a, 0x01, 0x00, 0x00, 0xb9
2017-10-24 16:08:24.750 Detail,
2017-10-24 16:08:24.751 Info, contrlr, FUNC_ID_ZW_ADD_NODE_TO_NETWORK:
2017-10-24 16:08:24.751 Info, contrlr, ADD_NODE_STATUS_LEARN_READY
2017-10-24 16:08:24.751 Detail, Node001, Expected callbackId was received
2017-10-24 16:08:24.751 Detail, Node001, Expected reply was received
2017-10-24 16:08:24.751 Detail, Node001, Message transaction complete
2017-10-24 16:08:24.751 Detail,
2017-10-24 16:08:24.751 Detail, contrlr, Removing current message
2017-10-24 16:08:24.751 Detail, Notification: ControllerCommand - Waiting
2017-10-24 16:15:52.194 Detail, Node001, Queuing (Controller) Request Node Neighbor Update

I don’t know if I can solve this situation without resetting the sensor

How close is the device to your Pi?

If it’s more than one room away (with plasterboard walls) then it might not be able to communicate.

To be honest, at this point, I’d suggest you exclude every device (you may as well use the stick for that), then start again. At least then you’re starting from a known position.

1 Like

I tried pairing the sensor at 2-3cm from the stick in the pi. But as you can see from the image on my previous message I have nothing to exclude, the only zwave node I have is because of the stick, and the Chromecast showed by it self.

The log shows that you’ve already paired Node215, Node172, Node032, and Node015.

Those should show up under <> (in the Developer tools section) as zwave. nodes, hopefully with enough to identify what they are. It may be that your device is paired already.

I can’t figure out what this nodes are, maybe the result of all my failed attemps in pairing, because my layout doesn’t show me anything but the zwave.aeotec zstick.


Or maybe you mean another section and I didn’t understand your istruction

Nope, that was the right place.

Honestly? At this point I’d suggest you reset all your Z-Wave devices back to factory defaults. Then do a fresh install of Hassbian (Raspbian Stretch + Home Assistant) and update to 0.56.2 before starting again.

1 Like

thank you very much for your help, i think I will follow your advice, but last question:
will I be able to use ROS in the hassbian distro?
http://www.ros.org/
I mean, hassbian is a particular type of raspbian with its particular environment or just normal raspbian stretch with home assistant already configured in?

You should be able to, however I’d really advise against making your Home Automation system a multi-purpose platform.

1 Like